Package org.zkoss.zk.au.out

## Class AuWrongValue

- java.lang.Object
- - org.zkoss.zk.au.AuResponse
  - - org.zkoss.zk.au.out.AuWrongValue

-     public class AuWrongValue
      extends AuResponse

  A response to tell the client a component's value is wrong.

  data[0]: component data[1]: the error message

  Since:
    3.0.0
  Author:
    tomyeh

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.zkoss.zk.au.AuResponse

      `AuResponse.JSONComponent, AuResponse.JSONDate`

  - ### Field Summary

    - ### Fields inherited from class org.zkoss.zk.au.AuResponse

      `_cmd, _data, SC_ACTIVATION_TIMEOUT, SC_OUT_OF_SEQUENCE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuWrongValue​(java.lang.String[] data)` | Constructor for multiple wrong values.
    `AuWrongValue​(Component comp, java.lang.String message)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getOverrideKey()` | Default: "zk.wrongValue" if `AuResponse.getDepends()` is not null (component-level), or null if `AuResponse.getDepends()` is null (desktop level)

    - ### Methods inherited from class org.zkoss.zk.au.AuResponse

      `equals, getCommand, getDepends, getEncodedData, getRawData, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AuWrongValue

          public AuWrongValue​(Component comp,
                              java.lang.String message)

    - #### AuWrongValue

          public AuWrongValue​(java.lang.String[] data)

      Constructor for multiple wrong values.
      Parameters:
        `data` - a string array, the data in the array shall be ["uuid1", "message1", "uuid2", "message2"...]
      Since:
        3.6.0

  - ### Method Detail

    - #### getOverrideKey

          public java.lang.String getOverrideKey()

      Default: "zk.wrongValue" if `AuResponse.getDepends()` is not null (component-level), or null if `AuResponse.getDepends()` is null (desktop level)
      Overrides:
        `getOverrideKey` in class `AuResponse`
      Since:
        5.0.2